#include "ParticlesScene.h"

USING_NS_CC;

Scene* ParticlesScene::createScene()
{
    return ParticlesScene::create();
}

// on "init" you need to initialize your instance
bool ParticlesScene::init()
{
    //////////////////////////////
    // 1. super init first
    if ( !Scene::init() )
    {
        return false;
    }

    auto visibleSize = Director::getInstance()->getVisibleSize();
    Vec2 origin = Director::getInstance()->getVisibleOrigin();
    
    float x = origin.x + visibleSize.width * 0.5;
    float y = origin.y + visibleSize.height * 0.5;
    
//    ParticleSystem* emitter1 = ParticleFire::create();
//    this->addChild(emitter1);

//    ParticleSystemQuad* emitter2 = ParticleFireworks::create();
//    emitter2->setPosition(x, 20);
//    this->addChild(emitter2);

//    ParticleSystemQuad* emitter3 = ParticleSun::create();
//    this->addChild(emitter3);

//    ParticleSystemQuad* emitter4 = ParticleGalaxy::create();
//    this->addChild(emitter4);

//    ParticleSystemQuad* emitter5 = ParticleFlower::create();
//    this->addChild(emitter5);

    ParticleSystemQuad* emitter6 = ParticleMeteor::create();
    emitter6->setPosition(x + 100, 50);
    this->addChild(emitter6);

//    ParticleSystemQuad* emitter7 = ParticleSpiral::create();
//    this->addChild(emitter7);

//    ParticleSystemQuad* emitter8 = ParticleExplosion::create();
//    this->addChild(emitter8);

//    ParticleSystemQuad* emitter9 = ParticleSmoke::create();
//    emitter9->setPosition(x, 20);
//    this->addChild(emitter9);

//    ParticleSystemQuad* emitter10 = ParticleSnow::create();
//    this->addChild(emitter10);

//    ParticleSystemQuad* emitter11 = ParticleRain::create();
//    this->addChild(emitter11);

    return true;
}


